%ifarch %arm %mips
%define with_java 0
%else
%define with_java 1
%endif
%{?_with_java: %{expand: %%global with_java 1}}

%if %{with_java}
# Do not require java stuff just because we have a java backend
%define _requires_exceptions libjvm\.so
%endif

Name: soprano
Summary: Library which provides a nice QT interface to RDF
Version: 2.7.5
Release: %mkrel 1
Epoch: 4
Group: System/Libraries
License: LGPLv2+
URL: http://soprano.sourceforge.net
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(redland) >= 1.0.5
BuildRequires: pkgconfig(raptor2) >= 2.0.4
BuildRequires: pkgconfig(libiodbc)
BuildRequires: pkgconfig(QtCore) >= 4.4.0
BuildRequires: pkgconfig(QtNetwork)
BuildRequires: pkgconfig(QtXml)
BuildRequires: pkgconfig(QtDBus)
BuildRequires: doxygen
BuildRequires: kde4-macros

%if %with_java
BuildRequires: java-rpmbuild
BuildRequires: chrpath
%endif
Conflicts: soprano-devel < 4:2.6.51-2
Suggests: soprano-plugin-virtuoso = %{epoch}:%version

%description
Soprano (formally known as QRDF) is a library which provides a nice QT
interface to RDF storage solutions.  It has a modular structure which allows to
replace the actual RDF storage implementation used.  Currently two
implementations are working.  The first and most important backend used in
Soprano is based on librdf, the Redland RDF Application Framework.  The second
backend is the more interesting one as it uses the NEPOMUK-KDE backbone library
to connect to a NEPOMUK RDF triple service, thus providing a nice interface for
applications not aware of Nepomuk services.

%files
%_bindir/sopranocmd
%_bindir/sopranod
%dir %_datadir/soprano/
%_datadir/soprano/rules/
%_datadir/dbus-1/interfaces/org.soprano.Model.xml
%_datadir/dbus-1/interfaces/org.soprano.NodeIterator.xml
%_datadir/dbus-1/interfaces/org.soprano.QueryResultIterator.xml
%_datadir/dbus-1/interfaces/org.soprano.Server.xml
%_datadir/dbus-1/interfaces/org.soprano.StatementIterator.xml

#---------------------------------------------------------------------------------

%if %with_java
%package    plugin-sesame2
Summary:    Sesame2 soprano plugin
Group:      System/Libraries
Requires:   soprano-plugin-common = %{epoch}:%version
Requires:   java

%description plugin-sesame2
This package provide the sesame2 java indexer plugin for soprano.

%files plugin-sesame2
%_datadir/soprano/plugins/sesame2backend.desktop
%_datadir/soprano/sesame2/
%_libdir/soprano/libsoprano_sesame2backend.so
%endif

#---------------------------------------------------------------------------------

%package    plugin-virtuoso
Summary:    Virtuoso soprano plugin
Group:      System/Libraries
Requires:   virtuoso-opensource >= 5.0.12
Requires:   soprano-plugin-common = %{epoch}:%version

%description plugin-virtuoso
This package provide the virtuoso plugin for soprano.

%files plugin-virtuoso
%_datadir/soprano/plugins/virtuosobackend.desktop
%_libdir/soprano/libsoprano_virtuosobackend.so

#---------------------------------------------------------------------------------

%package    plugin-redland
Summary:    redland soprano plugin
Group:      System/Libraries
Requires:   soprano-plugin-common = %{epoch}:%version

%description plugin-redland
This package provide the redland indexer plugin for soprano.

%files plugin-redland
%_datadir/soprano/plugins/redlandbackend.desktop
%_libdir/soprano/libsoprano_redlandbackend.so

#---------------------------------------------------------------------------------

%package    plugin-common
Summary:    Common parsers and serializers
Group:      System/Libraries
Requires:   %name = %{epoch}:%version
%description plugin-common
Common parser and serializers

%files plugin-common
%dir %_datadir/soprano/plugins/
%_datadir/soprano/plugins/*parser.desktop
%_datadir/soprano/plugins/*serializer.desktop
%dir %_libdir/soprano/
%_libdir/soprano/libsoprano_*serializer.so
%_libdir/soprano/libsoprano_*parser.so

#---------------------------------------------------------------------------------

%define libsopranomajor 4
%define libsoprano %mklibname soprano %libsopranomajor

%package -n %libsoprano
Summary:    Library for %name
Group:      Development/C

%description -n %libsoprano
Soprano (formally known as QRDF) is a library which provides a nice QT
interface to RDF storage solutions.  It has a modular structure which allows to
replace the actual RDF storage implementation used.  Currently two
implementations are working.  The first and most important backend used in
Soprano is based on librdf, the Redland RDF Application Framework.  The second
backend is the more interesting one as it uses the NEPOMUK-KDE backbone library
to connect to a NEPOMUK RDF triple service, thus providing a nice interface for
applications not aware of Nepomuk services.

%files -n %libsoprano
%_libdir/libsoprano.so.%{libsopranomajor}*

#---------------------------------------------------------------------------------

%define sopranoclient_major 1
%define libsopranoclient %mklibname sopranoclient %sopranoclient_major

%package -n %libsopranoclient
Summary: Library for %name
Group: Development/C

%description -n %libsopranoclient
Soprano (formally known as QRDF) is a library which provides a nice QT
interface to RDF storage solutions.  It has a modular structure which allows to
replace the actual RDF storage implementation used.  Currently two
implementations are working.  The first and most important backend used in
Soprano is based on librdf, the Redland RDF Application Framework.  The second
backend is the more interesting one as it uses the NEPOMUK-KDE backbone library
to connect to a NEPOMUK RDF triple service, thus providing a nice interface for
applications not aware of Nepomuk services.

%files -n %libsopranoclient
%_libdir/libsopranoclient.so.%{sopranoclient_major}*

#---------------------------------------------------------------------------------

%define sopranoserver_major 1
%define libsopranoserver %mklibname sopranoserver %{sopranoserver_major}

%package -n %libsopranoserver
Summary: Library for %name
Group: Development/C

%description -n %libsopranoserver
Soprano (formally known as QRDF) is a library which provides a nice QT
interface to RDF storage solutions.  It has a modular structure which allows to
replace the actual RDF storage implementation used.  Currently two
implementations are working.  The first and most important backend used in
Soprano is based on librdf, the Redland RDF Application Framework.  The second
backend is the more interesting one as it uses the NEPOMUK-KDE backbone library
to connect to a NEPOMUK RDF triple service, thus providing a nice interface for
applications not aware of Nepomuk services.

%files -n %libsopranoserver
%_libdir/libsopranoserver.so.%{sopranoserver_major}*

#---------------------------------------------------------------------------------

%package  devel
Summary:  Library
Group:    Development/C
Provides: libsoprano-devel = %{epoch}:%version
Requires: %libsoprano = %{epoch}:%version
Requires: %libsopranoclient = %{epoch}:%version
Requires: %libsopranoserver = %{epoch}:%version
Requires: %name = %{epoch}:%version
Requires: %{name}-plugin-virtuoso = %{epoch}:%version
Requires: %{name}-plugin-redland = %{epoch}:%version
%if %with_java
Requires: %{name}-plugin-sesame2 = %{epoch}:%version
%endif 

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%files devel
%_bindir/onto2vocabularyclass
%_includedir/soprano/
%_includedir/Soprano/
%_libdir/pkgconfig/*.pc
%_libdir/*.so
%_datadir/soprano/cmake/

#---------------------------------------------------------------------------------

%prep
%setup -q  
%apply_patches

%build
%if %with_java
export JAVA_HOME=%{java_home}
%endif

%cmake_qt4
%make

%install
%makeinstall_std -C build


%changelog

* Fri Mar 09 2012 fwang <fwang> 4:2.7.5-1.mga2
+ Revision: 222110
- drop rpath settings for now
- new version 2.7.5

* Fri Dec 16 2011 mikala <mikala> 4:2.7.4-1.mga2
+ Revision: 182867
- Update tarball to 2.7.4

* Wed Nov 02 2011 fwang <fwang> 4:2.7.3-1.mga2
+ Revision: 161543
- new version 2.7.3

* Sat Oct 22 2011 mikala <mikala> 4:2.7.2-1.mga2
+ Revision: 157379
- Update tarball to 2.7.2
- add plugin-sesame2 as requires on -devel too

* Thu Oct 06 2011 mikala <mikala> 4:2.7.1-3.mga2
+ Revision: 152434
- Add patch from upstream (don't install sopranoindex cmake file if clucene is not available)

* Thu Sep 29 2011 mikala <mikala> 4:2.7.1-2.mga2
+ Revision: 150322
- Add patch1 to reverse the ?\194?\171 dbus fix ?\194?\187
- Remove clucene-devel as BR (clucene full indexing is not used anymore by nepomuk)

* Mon Sep 26 2011 mikala <mikala> 4:2.7.1-1.mga2
+ Revision: 148974
- Remove %%defattr()
- Update tarball to 2.7.1

  + ze <ze>
    - enable back java-rpmbuild due to GCJ/Jamvm missing alternative
    - kde-macros alreaady buildrequires cmake
    - this way we dont force building strictly  with OpenJDK
    - remove clean section (done by default)
    - simple way to list dirs
    - set requires in devel package to version like hapens for restant packages

  + fwang <fwang>
    - new version 2.7.0

* Mon Jul 18 2011 mikala <mikala> 4:2.6.51-3.mga2
+ Revision: 125985
- Remove wrong requires
- Remove old obsoletes
- use pkgconfig() for BuildRequires
- clean spec
- Fix file list

* Thu Jul 07 2011 mikala <mikala> 4:2.6.51-2.mga2
+ Revision: 119613
- Move dbus files from -devel package to main package

* Sat Jun 25 2011 mikala <mikala> 4:2.6.51-1.mga2
+ Revision: 113402
- Update tarball to 2.6.51 (2.7.0 rc1)

* Mon May 23 2011 mikala <mikala> 4:2.5.63-2.mga1
+ Revision: 100222
- use suggests for soprano-plugin-virtuoso instead of Requires

* Thu Jan 13 2011 mikala <mikala> 4:2.5.63-1.mga1
+ Revision: 14321
- imported package soprano

